BCOPY(9)

NAME
bcopy - copy byte string

SYNOPSIS
#include <sys/systm.h>
void
bcopy(const void *src, void *dst, size_t len);

DESCRIPTION
The bcopy() interface is obsolete. Do not add new code using it. It will soon be purged. Use memcpy(9) instead. (The bcopy() function is now a macro for memcpy(9).)

The bcopy() function copies len bytes from string src to string dst.

Unlike bcopy(3) the two strings must not overlap! In the traditional BSD kernel, overlapping copies were handled by the now-purged ovbcopy() function. If you need to copy overlapping data, see memmove(9).

If len is zero, no bytes are copied.

SEE ALSO
bcopy(3), memcpy(9), memmove(9)